## org.apache.ivy.plugins.report
Interface ReportOutputter

All Known Implementing Classes:
  LogReportOutputter, XmlReportOutputter

    public interface ReportOutputter

Field Summary
`static java.lang.String` `CONSOLE`
`static java.lang.String` `XML`

Method Summary
`java.lang.String` `getName()`
`void` `output(ResolveReport report, ResolutionCacheManager cacheMgr, ResolveOptions options)`

Field Detail

### CONSOLE

    static final java.lang.String CONSOLE

See Also:
  Constant Field Values

### XML

    static final java.lang.String XML

See Also:
  Constant Field Values

Method Detail

### output

    void output(ResolveReport report,
                ResolutionCacheManager cacheMgr,
                ResolveOptions options)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getName

    java.lang.String getName()